# The COPYRIGHT file at the top level of this repository contains the full
# copyright notices and license terms.
from trytond.pool import Pool
from .configuration import (Configuration, ConfigurationSequence,
    ConfigurationULProductionType)
from .unit_load import (UnitLoad, UnitLoadMove, MoveUnitLoad,
    MoveUnitLoadStart, UnitLoadLabel, DropUnitLoad,
    DropUnitLoadData, DropUnitLoadFailed, DropUnitLoadFailedProduct,
    BatchDropUnitLoad, BatchDropUnitLoadData, BatchDropUnitLoadConfirm,
    DropUnitLoadUL, DropUnitLoadEndDate, CaseLabel)
from .stock import (Move, UnitLoadsByLocations,
    UnitLoadsByLocationsStart, Move2)
from .shipment import (ShipmentOut, ShipmentInternal, ShipmentOutReturn,
    ShipmentInReturn)
from .res import User


def register():
    Pool.register(
        Configuration,
        ConfigurationSequence,
        ConfigurationULProductionType,
        Move,
        MoveUnitLoadStart,
        UnitLoad,
        UnitLoadMove,
        DropUnitLoadEndDate,
        DropUnitLoadData,
        DropUnitLoadUL,
        DropUnitLoadFailed,
        DropUnitLoadFailedProduct,
        UnitLoadsByLocationsStart,
        ShipmentOut,
        ShipmentInternal,
        ShipmentOutReturn,
        ShipmentInReturn,
        BatchDropUnitLoadData,
        BatchDropUnitLoadConfirm,
        User,
        module='stock_unit_load', type_='model')
    Pool.register(
        MoveUnitLoad,
        DropUnitLoad,
        UnitLoadsByLocations,
        BatchDropUnitLoad,
        module='stock_unit_load', type_='wizard')
    Pool.register(
        UnitLoadLabel,
        CaseLabel,
        module='stock_unit_load', type_='report')
    Pool.register(
        Move2,
        module='stock_unit_load', type_='model',
        depends=['stock_move_done2cancel'])
